## org.biojava.bio.seq
Class SequenceTools

    java.lang.Object
      org.biojava.bio.seq.SequenceTools

public final class SequenceTools
extends java.lang.Object

Methods for manipulating sequences.

Author:
  Matthew Pocock

Constructor Summary
`SequenceTools()`

Method Summary
`static void` `addAllFeatures(Sequence seq, FeatureHolder fh)` Add features to a sequence that contain the same information as all those in a feature holder.
`static Sequence` `createSequence(SymbolList syms, java.lang.String uri, java.lang.String name, Annotation ann)`
`static Sequence` `reverseComplement(Sequence seq)`
`static Sequence` `subSequence(Sequence seq, int start, int end)`
`static Sequence` `subSequence(Sequence seq, int start, int end, java.lang.String name)`
`static Sequence` `view(Sequence seq)`
`static Sequence` `view(Sequence seq, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceTools

    public SequenceTools()

Method Detail

### createSequence

    public static Sequence createSequence(SymbolList syms,
                                          java.lang.String uri,
                                          java.lang.String name,
                                          Annotation ann)

### subSequence

    public static Sequence subSequence(Sequence seq,
                                       int start,
                                       int end)
                                throws java.lang.IndexOutOfBoundsException

  Throws:
    `java.lang.IndexOutOfBoundsException`

### subSequence

    public static Sequence subSequence(Sequence seq,
                                       int start,
                                       int end,
                                       java.lang.String name)
                                throws java.lang.IndexOutOfBoundsException

  Throws:
    `java.lang.IndexOutOfBoundsException`

### reverseComplement

    public static Sequence reverseComplement(Sequence seq)
                                      throws IllegalAlphabetException

  Throws:
    `IllegalAlphabetException`

### view

    public static Sequence view(Sequence seq)

### view

    public static Sequence view(Sequence seq,
                                java.lang.String name)

### addAllFeatures

    public static void addAllFeatures(Sequence seq,
                                      FeatureHolder fh)
                               throws ChangeVetoException,
                                      BioException

  Add features to a sequence that contain the same information as all those in a feature holder.

  Parameters:
    `seq` - the Sequence to add features to
    `fh` - the features to add
  Throws:
    `ChangeVetoException` - if the sequence could not be modified
    `BioException` - if there was an error creating the features